[ opensips-Patches-2577793 ] Avoid usage of unsupported grep option in db script

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[ opensips-Patches-2577793 ] Avoid usage of unsupported grep option in db script

SourceForge.net
Patches item #2577793, was opened at 2009-02-07 11:51
Message generated for change (Tracker Item Submitted) made by Item Submitter
You can respond by visiting:
https://sourceforge.net/tracker/?func=detail&atid=1086412&aid=2577793&group_id=232389

Please note that this message will contain a full copy of the comment thread,
including the initial issue submission, for this request,
not just the latest update.
Category: None
Group: None
Status: Open
Resolution: None
Priority: 5
Private: No
Submitted By: Sergio Gutierrez (saguti)
Assigned to: Nobody/Anonymous (nobody)
Summary: Avoid usage of unsupported grep option in db script

Initial Comment:
At charset_test() in opensipsdbctl.mysql script. grep is called with an option which is not supported by standard grep in Solaris.
This patch proposes a different approach for that case; it defines a variable which counts how many times user has failed in passing a supported charset; after 3 tries, script exits with error code of 1.

----------------------------------------------------------------------

You can respond by visiting:
https://sourceforge.net/tracker/?func=detail&atid=1086412&aid=2577793&group_id=232389

_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel